<template>

<div class="
    flex
    items-center
    pb-1
">
    <b>{{$t('style')}}</b>

    <div class="
        pl-12
        flex
        justify-around
        flex-1
    ">
        <tile
            v-bind:key="key"
            v-for="(style, key) in styles"
            v-bind:mapStyle="key"
        />
    </div>
</div>

</template>

<script lang="ts">

import { Component, Prop, Vue } from 'vue-property-decorator';

import { styles } from '@/ts/data/enums';

import Tile from '@/components/Tile.vue';

@Component({
    components: {
        Tile,
    },
})
export default class C extends Vue {
    private styles: typeof styles = styles;
}

</script>
